Looking for the previous documentation?Go to v1.docs.pluggy.ai
GET/transactionsDeprecated

List by Page (deprecated)

**Deprecated**: this endpoint is deprecated and will be available only until **2026-12-31**, after which it will be removed. Please migrate to `GET /v2/transactions`, which uses cursor-based pagination. Recovers all transactions collected for the acount provided.

❗️

DEPRECATION

In favor of the /v2/transactions that paginates transactions using cursor, this endpoint has been stablished as deprecated and should start using the new one asap.


Transactions are meant to be copied to your systems. This endpoint is expected to be used one time per synchronization and not connected to any application directly.

As general recommendations, we expect that you use this endpoint connected to created, updated & deleted webhooks with specific filters that were designed for performance, and paging the largest amount of records per page (500), which is the current default.

📘

Fields availability

The field ProviderId is only returned in Regulado connections, consistent with the bank's ID. It would be the same for the same account connected as different items.

The field ProviderCode is only returned in Regulado an certain connectors.


Parameters

Query Parameters

NameType
accountIdrequired
string (uuid)
ids
array
from
string (date-time)
to
string (date-time)
pageSize
number (double)
page
number (double)
billId
string (uuid)
createdAtFrom
string (date-time)

Responses

200Retrieve a list of all transactions for an account
object
resultsrequiredobject[]
itemsobject

Transaction product

pagerequirednumber (double)
totalrequirednumber (double)
totalPagesrequirednumber (double)

Example response

json
{
  "total": 8,
  "totalPages": 1,
  "page": 1,
  "results": [
    {
      "id": "a8534c85-53ce-4f21-94d7-50e9d2ee4957",
      "createdAt": "2020-06-24T21:29:40.300Z",
      "updatedAt": "2020-06-24T21:29:40.300Z",
      "description": "* PROV * COMPRA TESOURO DIRETO CLIENTES",
      "descriptionRaw": "* PROV * COMPRA TESOURO DIRETO CLIENTES",
      "currencyCode": "BRL",
      "amount": -212.45,
      "date": "2020-10-15T00:00:00.000Z",
      "balance": 4439.4,
      "category": "Fixed Income Investment",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "DEBIT",
      "providerId": null
    },
    {
      "id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
      "description": "PAGO NETFLIX SERV",
      "descriptionRaw": "PAGO NETFLIX SERV",
      "currencyCode": "USD",
      "amount": -58,
      "amountInAccountCurrency": -298.19,
      "date": "2020-10-15T00:00:00.000Z",
      "balance": 4651.85,
      "category": "Video streaming",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "DEBIT",
      "providerId": null,
      "merchant": {
        "name": "Netflix",
        "businessName": "NETFLIX ENTRETENIMENTO BRASIL LTDA.",
        "cnpj": "11111111000111",
        "category": "Video streaming",
        "cnae": "5911100"
      }
    },
    {
      "id": "97536285-cc22-4a5a-9d05-f5fe24410d0c",
      "description": "* PROV * DEVOLUÇÃO DE MARGEM",
      "descriptionRaw": "* PROV * DEVOLUÇÃO DE MARGEM",
      "currencyCode": "BRL",
      "amount": 2482.26,
      "date": "2020-10-15T00:00:00.000Z",
      "balance": 4950.04,
      "category": "Margin Withdrawn",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "CREDIT",
      "providerId": null
    },
    {
      "id": "8caf328b-4528-4de6-b931-10639d0084c5",
      "description": "LIQUIDO DAS OPERAÇÕES BMF PR. 14/10/2020 NC. 870947",
      "descriptionRaw": "LIQUIDO DAS OPERAÇÕES BMF PR. 14/10/2020 NC. 870947",
      "currencyCode": "BRL",
      "amount": -1.06,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 2467.78,
      "category": "Investment",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "DEBIT",
      "providerId": null
    },
    {
      "id": "ff9ed929-edc4-408c-a959-d51f79ab1814",
      "description": "MERCADOLIVRE*2PRODUTOS",
      "currencyCode": "BRL",
      "amount": 159.2,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 2468.84,
      "category": "Investment",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "CREDIT",
      "creditCardMetadata": {
        "totalAmount": 320,
        "totalInstallments": 2,
        "installmentNumber": 2,
        "purchaseDate": "2020-09-14T00:00:00.000Z",
        "payeeMCC": 1234,
        "cardNumber": "0597",
        "billId": "abced929-edc4-408c-a959-d51f79ab1123",
        "billForecastDate": "2020-10"
      },
      "providerId": null
    },
    {
      "id": "093fc873-442a-4bd8-9171-51f17892fb09",
      "description": "LIQUIDO DAS OPERAÇÕES BM&F PR. 14/10/2020 NC. 870947",
      "descriptionRaw": "LIQUIDO DAS OPERAÇÕES BM&F PR. 14/10/2020 NC. 870947",
      "currencyCode": "BRL",
      "amount": -10.3,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 2309.64,
      "category": "Investment",
      "accountId": "562b795d-1653-429f-be86-74ead9502813",
      "providerCode": null,
      "status": "POSTED",
      "paymentData": null,
      "type": "DEBIT",
      "providerId": null
    },
    {
      "id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
      "description": "TED Example",
      "descriptionRaw": null,
      "currencyCode": "BRL",
      "amount": 1500,
      "date": "2020-10-14T00:00:00.000Z",
      "balance": 3500,
      "category": "Transfer",
      "accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
      "providerCode": "123456",
      "type": "CREDIT",
      "status": "POSTED",
      "operationType": "TED",
      "paymentData": {
        "payer": {
          "name": "Tiago Rodrigues Santos",
          "branchNumber": "090",
          "accountNumber": "1234-5",
          "routingNumber": "001",
          "documentNumber": {
            "type": "CPF",
            "value": "666.666.666-66"
          }
        },
        "reason": "Taxa de serviço",
        "receiver": {
          "name": "Pluggy",
          "branchNumber": "999",
          "accountNumber": "9876-1",
          "routingNumber": "002",
          "documentNumber": {
            "type": "CNPJ",
            "value": "22.222.222/0001-22"
          }
        },
        "paymentMethod": "TED",
        "referenceNumber": "123456789"
      },
      "providerId": null
    }
  ]
}
curl -X GET \
'https://api.pluggy.ai/transactions' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Sample response
{
"total": 8,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "a8534c85-53ce-4f21-94d7-50e9d2ee4957",
"createdAt": "2020-06-24T21:29:40.300Z",
"updatedAt": "2020-06-24T21:29:40.300Z",
"description": "* PROV * COMPRA TESOURO DIRETO CLIENTES",
"descriptionRaw": "* PROV * COMPRA TESOURO DIRETO CLIENTES",
"currencyCode": "BRL",
"amount": -212.45,
"date": "2020-10-15T00:00:00.000Z",
"balance": 4439.4,
"category": "Fixed Income Investment",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "DEBIT",
"providerId": null
},
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"description": "PAGO NETFLIX SERV",
"descriptionRaw": "PAGO NETFLIX SERV",
"currencyCode": "USD",
"amount": -58,
"amountInAccountCurrency": -298.19,
"date": "2020-10-15T00:00:00.000Z",
"balance": 4651.85,
"category": "Video streaming",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "DEBIT",
"providerId": null,
"merchant": {
"name": "Netflix",
"businessName": "NETFLIX ENTRETENIMENTO BRASIL LTDA.",
"cnpj": "11111111000111",
"category": "Video streaming",
"cnae": "5911100"
}
},
{
"id": "97536285-cc22-4a5a-9d05-f5fe24410d0c",
"description": "* PROV * DEVOLUÇÃO DE MARGEM",
"descriptionRaw": "* PROV * DEVOLUÇÃO DE MARGEM",
"currencyCode": "BRL",
"amount": 2482.26,
"date": "2020-10-15T00:00:00.000Z",
"balance": 4950.04,
"category": "Margin Withdrawn",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "CREDIT",
"providerId": null
},
{
"id": "8caf328b-4528-4de6-b931-10639d0084c5",
"description": "LIQUIDO DAS OPERAÇÕES BMF PR. 14/10/2020 NC. 870947",
"descriptionRaw": "LIQUIDO DAS OPERAÇÕES BMF PR. 14/10/2020 NC. 870947",
"currencyCode": "BRL",
"amount": -1.06,
"date": "2020-10-14T00:00:00.000Z",
"balance": 2467.78,
"category": "Investment",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "DEBIT",
"providerId": null
},
{
"id": "ff9ed929-edc4-408c-a959-d51f79ab1814",
"description": "MERCADOLIVRE*2PRODUTOS",
"currencyCode": "BRL",
"amount": 159.2,
"date": "2020-10-14T00:00:00.000Z",
"balance": 2468.84,
"category": "Investment",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "CREDIT",
"creditCardMetadata": {
"totalAmount": 320,
"totalInstallments": 2,
"installmentNumber": 2,
"purchaseDate": "2020-09-14T00:00:00.000Z",
"payeeMCC": 1234,
"cardNumber": "0597",
"billId": "abced929-edc4-408c-a959-d51f79ab1123",
"billForecastDate": "2020-10"
},
"providerId": null
},
{
"id": "093fc873-442a-4bd8-9171-51f17892fb09",
"description": "LIQUIDO DAS OPERAÇÕES BM&F PR. 14/10/2020 NC. 870947",
"descriptionRaw": "LIQUIDO DAS OPERAÇÕES BM&F PR. 14/10/2020 NC. 870947",
"currencyCode": "BRL",
"amount": -10.3,
"date": "2020-10-14T00:00:00.000Z",
"balance": 2309.64,
"category": "Investment",
"accountId": "562b795d-1653-429f-be86-74ead9502813",
"providerCode": null,
"status": "POSTED",
"paymentData": null,
"type": "DEBIT",
"providerId": null
},
{
"id": "6ec156fe-e8ac-4d9a-a4b3-7770529ab01c",
"description": "TED Example",
"descriptionRaw": null,
"currencyCode": "BRL",
"amount": 1500,
"date": "2020-10-14T00:00:00.000Z",
"balance": 3500,
"category": "Transfer",
"accountId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
"providerCode": "123456",
"type": "CREDIT",
"status": "POSTED",
"operationType": "TED",
"paymentData": {
"payer": {
"name": "Tiago Rodrigues Santos",
"branchNumber": "090",
"accountNumber": "1234-5",
"routingNumber": "001",
"documentNumber": {
"type": "CPF",
"value": "666.666.666-66"
}
},
"reason": "Taxa de serviço",
"receiver": {
"name": "Pluggy",
"branchNumber": "999",
"accountNumber": "9876-1",
"routingNumber": "002",
"documentNumber": {
"type": "CNPJ",
"value": "22.222.222/0001-22"
}
},
"paymentMethod": "TED",
"referenceNumber": "123456789"
},
"providerId": null
}
]
}